%define name    imgSeek
%define version 0.8.6
%define release 1%{?dist}
%define prefix  %{_prefix}

Summary:       Photo collection manager with content-based searching
Name:          %{name}
Version:       %{version}
Release:       %{release}
License:       GPL
Group:         Applications/Multimedia
URL:           http://imgseek.python-hosting.com/
Source:        %{name}-%{version}.tar.bz2
Patch1:        imgSeek-0.8.5-thumbnailsdir.patch
Packager:      Sean Reifschneider <jafo-rpms@tummy.com>
BuildRoot:     %{_tmppath}/%{name}-root
Requires:      python
Requires:      PyQt
BuildRequires: qt-devel
BuildRequires: python-devel

%description
imgSeek is a GNU/Linux photo collection manager capable of searching
through an image database, in which the query is expressed either
as a rough sketch painted by the user or as another image you supply
(or an image in your collection) The searching algorithm makes use of
multiresolution wavelet decompositions of the query and database images.

%prep
%setup
%patch1 -p1

%build
(
   cd imgSeekLib
   g++ -DNDEBUG -fPIC $RPM_OPT_FLAGS -I%{_libdir}/qt-3.3/include -I/usr/include/python2.4/ \
         -c imgdb.cpp -o imgdb.o
   g++ -DNDEBUG -fPIC $RPM_OPT_FLAGS -I%{_libdir}/qt-3.3/include -I/usr/include/python2.4 \
         -c haar.cpp -o haar.o
   g++ -DNDEBUG -fPIC $RPM_OPT_FLAGS -I%{_libdir}/qt-3.3/include -I/usr/include/python2.4 \
         -c jpegloader.cpp -o jpegloader.o
   g++ -shared imgdb.o haar.o jpegloader.o -L%{_libdir}/qt-3.3/lib -lqt-mt -o imgdb.so
   PYTHONPATH=.
   python -O -c "import compileall; compileall.compile_dir('.')"
   python -c "import compileall; compileall.compile_dir('.')"
)

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"%{_libdir}/python2.4/site-packages/imgSeekLib
mkdir -p "$RPM_BUILD_ROOT"%{_bindir}

cp Tools/imgSeekCmd "$RPM_BUILD_ROOT"%{_bindir}
cp imgSeek "$RPM_BUILD_ROOT"%{_bindir}

(
   cd imgSeekLib
   cp imgdb.so "$RPM_BUILD_ROOT"%{_libdir}/python2.4/site-packages/imgSeekLib
   cp *.py "$RPM_BUILD_ROOT"%{_libdir}/python2.4/site-packages/imgSeekLib
   cp *.pyc "$RPM_BUILD_ROOT"%{_libdir}/python2.4/site-packages/imgSeekLib
   cp *.pyo "$RPM_BUILD_ROOT"%{_libdir}/python2.4/site-packages/imgSeekLib
)

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
pushd imgSeekLib
cp color.png courB12.pil courB12.pbm imgseek_pt_BR.qm $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r styles $RPM_BUILD_ROOT%{_datadir}/%{name}
popd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING ChangeLog PKG-INFO README THANKS TODO
%attr(0755,root,root) %{_bindir}/*
%{_libdir}/python2.4/site-packages/imgSeekLib
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Sat Jan  6 2007 Peter Hanecak <hany@hany.sk> 0.8.6-1
- updated to 0.8.6
- dropped configdir patch - included upstream
- added %%{?dist} into spec

* Fri Aug 19 2005 Peter Hanecak <hanecak@megaloman.sk> 0.8.5-1
- updated to 0.8.5
- updated URL

* Mon Mar 17 2003 Peter Hanecak <hanecak@megaloman.sk> 0.6.6.1-1
- adapted to Doors Linux
